import { ConverterComponent } from 'typedoc/dist/lib/converter/components';
import { Context } from 'typedoc/dist/lib/converter/context';
import { PageEvent } from 'typedoc/dist/lib/output/events';
/**
 * Nomnoml plugin component.
 */
export declare class NomnomlPlugin extends ConverterComponent {
    /**
     * 1. Load nomnoml liblary.
     * 2. Initialize nomnoml.
     * 3. Close body tag.
     */
    private readonly customScriptsAndBodyClosinngTag;
    private static graphIdCounter;
    /**
     * fillter logic for Comment exist
     */
    private static filterComment;
    /**
     * fillter logic for CommentTags exist
     */
    private static filterCommentTags;
    /**
     * return turn when tag's paramName is 'nomnoml'
     */
    private static isNomnomlCommentTag;
    /**
     * get CommentTags for using `@nomnoml` anotation from Context.
     */
    private static nomnomlTags;
    nomnomlVersion: string;
    private graphMap;
    /**
     * Regex literal that matches body closing tag.
     */
    private readonly BODY_CLOSINNG_TAG;
    /**
     * The first line of text wraps h4.
     * The other wraps by div classed nomnoml.
     */
    convertCommentTagText(tagText: string): string;
    /**
     * Insert custom script before closing body tag.
     */
    convertPageContents(contents: string): string;
    /**
     * listen to event on initialisation
     */
    initialize(): void;
    /**
     * Triggered when the converter begins converting a project.
     */
    onResolveBegin(context: Context): void;
    /**
     * Triggered after a document has been rendered, just before it is written to disc.
     * Remove duplicate lines to tidy up output
     */
    onPageEnd(page: PageEvent): void;
}
